summaryrefslogtreecommitdiff
path: root/plugins
diff options
context:
space:
mode:
authorMarc Cornellà <marc.cornella@live.com>2016-08-21 02:21:47 +0200
committerMarc Cornellà <marc.cornella@live.com>2016-09-03 20:49:55 +0200
commit142ad842d706e16317bcc8b44ef1b19d625d1fb8 (patch)
tree82525eaa61c3997fe3c9264183be7012e2e0209a /plugins
parentcb0833ac1360984c74f40ccabdec323bb6bbc31b (diff)
downloadzsh-142ad842d706e16317bcc8b44ef1b19d625d1fb8.tar.gz
zsh-142ad842d706e16317bcc8b44ef1b19d625d1fb8.tar.bz2
zsh-142ad842d706e16317bcc8b44ef1b19d625d1fb8.zip
Simplify PID check of current ssh-agent
Diffstat (limited to 'plugins')
-rw-r--r--plugins/ssh-agent/ssh-agent.plugin.zsh2
1 files changed, 1 insertions, 1 deletions
diff --git a/plugins/ssh-agent/ssh-agent.plugin.zsh b/plugins/ssh-agent/ssh-agent.plugin.zsh
index a427b80ae..e6bc9c4e6 100644
--- a/plugins/ssh-agent/ssh-agent.plugin.zsh
+++ b/plugins/ssh-agent/ssh-agent.plugin.zsh
@@ -30,7 +30,7 @@ if [[ $_agent_forwarding == "yes" && -n "$SSH_AUTH_SOCK" ]]; then
elif [[ -f "$_ssh_env_cache" ]]; then
# Source SSH settings, if applicable
. $_ssh_env_cache > /dev/null
- ps x | grep $SSH_AGENT_PID | grep ssh-agent > /dev/null || {
+ ps -o cmd -p $SSH_AGENT_PID | grep -q ssh-agent || {
_start_agent
}
else